GET
/affiliate_seller/202409/open_collaboration_settings
Get the open collaboration settings, including auto add settings.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
open_collaboration_settings
Open collaboration settings for the shop.
object
auto_add_product
Settings for automatically adding products to open collaboration.
object
enable
- true: The seller can add existing non-affiliate products to open collaboration at one time, and future products will also be added automatically.
- false: Future products will not be added to open collaboration automatically, but existing products’ open collaboration will not be reverted.
boolean
commission_rate
The default commission rate of open collaboration created for the auto-added products.
The unit is 0.01%. For example, to set the default commission rate to 10%, set the value to 1000. If so, if the price of a product is $50 USD, the creator would receive $5 USD for every piece of product sold.
The range is [100, 8000].
When enable=false, this field will not be returned.
integer format: int64
Example
{ "code": 0, "data": { "open_collaboration_settings": { "auto_add_product": { "enable": true, "commission_rate": 1000 } } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}